Subject: bug#15690: [platform-testers] new snapshot available: grep-2.14.51-7a35

From: Jim Meyering <[email-masked]>
Date: Thu, 24 Oct 2013 22:50:51 -0700

On Thu, Oct 24, 2013 at 10:14 PM, Paul Eggert <[email-masked]> wrote:
> Ineiev wrote:
>>         gcc -std=gnu11   -g -O2   -o grep grep.o libgrep.a  ../lib/libgreputils.a -lintl ../lib/libgreputils.a -liconv
>> ld: 0711-317 ERROR: Undefined symbol: .pthread_mutex_init
>> and so on.
>
> Yeowch.  This looks like a serious problem on AIX -- grep won't
> build at at all.  And it's in the pthreadlib configuration code,
> which I don't pretend to understand.  Why does grep care about
> pthreadlib at all?

Yes, that is unfortunate for a package with only single-theaded
programs, like grep.
The "lock" module depends on threadlib, which checks for pthread.h and
may add -pthread.
Several gnulib modules depend on "lock".